package org.academiadecodigo.enuminatti.helloworldspringmvc.services;

import org.academiadecodigo.enuminatti.helloworldspringmvc.models.User;
import org.academiadecodigo.enuminatti.helloworldspringmvc.persistence.TransactionException;

import java.util.List;

/**
 * MIT License
 * (c) 2017 Ricardo Constantino
 */

public interface UserService {
    boolean authenticate(String username, String password);

    void addUser(User user);

    void editUser(User user);

    User findByName(String username);

    Long count();

    List<User> getUserList();

    void remove(String username);
}
